 /*
  * Copyright (C), 2018-2021
  * Project: starter
  * FileName: FirstDayOfWeekEditor
  * Author:   Louis
  * Date:     2021/11/15 8:41
  */
 package com.fr.plugin.hrjf.editors;

 import com.fr.design.designer.properties.items.Item;
 import com.fr.design.designer.properties.items.ItemProvider;
 import com.fr.design.mainframe.widget.editors.ComboEditor;
 import com.fr.plugin.hrjf.items.FirstDayOfWeekItems;

 import java.util.Vector;

 /**
  * <Function Description><br>
  * <FirstDayOfWeekEditor>
  *
  * @author fr.open
  * @since 1.0.0
  */
 public class FirstDayOfWeekEditor extends ComboEditor {
     public FirstDayOfWeekEditor() {
         this((ItemProvider) (new FirstDayOfWeekItems()));
     }

     public FirstDayOfWeekEditor(ItemProvider itemProvider) {
         this(itemProvider.getItems());
     }

     public FirstDayOfWeekEditor(Item[] items) {
         super(items);
     }

     public FirstDayOfWeekEditor(Vector<Item> items) {
         super(items);
     }

     public Object getValue() {
         Item selectedItem = (Item) this.comboBox.getSelectedItem();
         return selectedItem.getValue();
     }

     public void setValue(Object obj) {
         Item var2 = new Item("", obj);
         this.comboBox.setSelectedItem(var2);
     }
 }