 /*
  * Copyright (C), 2018-2021
  * Project: starter
  * FileName: DateFormatEditor
  * Author:   Louis
  * Date:     2021/11/15 10:10
  */
 package com.fr.plugin.hrjf.editors;

 import com.fr.design.designer.properties.items.Item;
 import com.fr.design.designer.properties.items.ItemProvider;
 import com.fr.design.mainframe.widget.editors.ComboEditor;
 import com.fr.plugin.hrjf.items.DateFormatItems;

 import java.util.Vector;

 /**
  * <Function Description><br>
  * <DateFormatEditor>
  *
  * @author fr.open
  * @since 1.0.0
  */
 public class VueDateFormatEditor extends ComboEditor {
     public VueDateFormatEditor() {
         this((ItemProvider) (new DateFormatItems()));
     }

     public VueDateFormatEditor(ItemProvider itemProvider) {
         this(itemProvider.getItems());
     }

     public VueDateFormatEditor(Item[] items) {
         super(items);
     }

     public VueDateFormatEditor(Vector<Item> items) {
         super(items);
     }

     public Object getValue() {
         Item selectedItem = (Item) this.comboBox.getSelectedItem();
         return selectedItem.getValue();
     }

     public void setValue(Object obj) {
         Item var2 = new Item("", obj);
         this.comboBox.setSelectedItem(var2);
     }
 }