 /*
  * Copyright (C), 2018-2021
  * Project: starter
  * FileName: VueFormOptionProvider
  * Author:   Louis
  * Date:     2021/11/8 11:46
  */
 package com.fr.plugin.hrjf.provider;

 import com.fr.design.fun.impl.AbstractFormWidgetOptionProvider;
 import com.fr.form.ui.Widget;
 import com.fr.plugin.hrjf.creator.XVueDateEditor;
 import com.fr.plugin.hrjf.widget.VueDateEditor;

 public class VueFormOptionProvider extends AbstractFormWidgetOptionProvider {

     public VueFormOptionProvider() {
     }

     @Override
     public Class<? extends Widget> classForWidget() {
         return VueDateEditor.class;
     }

     @Override
     public Class<?> appearanceForWidget() {
         return XVueDateEditor.class;
     }

     @Override
     public String iconPathForWidget() {
         return "com/fr/design/images/buttonicon/widget/date_16.png";
     }

     @Override
     public String nameForWidget() {
         return "VUE日期控件";
     }
 }
