package com.fr.plugin.hrjf;

import com.fr.plugin.context.PluginContexts;
import com.fr.stable.fun.Authorize;
import com.fr.stable.fun.impl.AbstractJavaScriptFileHandler;

import static com.fr.plugin.hrjf.LocaleFinder.PLUGIN_ID;

@Authorize(callSignKey = PLUGIN_ID)
public class VSJSFileHandler extends AbstractJavaScriptFileHandler {

    public VSJSFileHandler() {
    }

    @Override
    public String[] pathsForFiles() {
        if (!PluginContexts.currentContext().isAvailable()) {
            PluginMonitor.pluginForbid(PluginContexts.currentContext().getMarker());
            return new String[]{};
        }
        return new String[]{
                "/com/fr/plugin/hrjf/js/vue.js",
                "/com/fr/plugin/hrjf/js/element.js",
                "/com/fr/plugin/hrjf/js/vuedatetime.js"
        };
    }
}