 /*
  * Copyright (C), 2018-2021
  * Project: starter
  * FileName: DateTimeFormatItems
  * Author:   Louis
  * Date:     2021/11/15 10:55
  */
 package com.fr.plugin.hrjf.items;

 import com.fanruan.api.design.DesignKit;
 import com.fr.design.designer.properties.items.Item;
 import com.fr.design.designer.properties.items.ItemProvider;

 /**
  * <Function Description><br>
  * <DateTimeFormatItems>
  *
  * @author fr.open
  * @since 1.0.0
  */
 public class DateTimeFormatItems implements ItemProvider {
     public static Item[] DATETIME_ITEMS = new Item[]{
             new Item(DesignKit.i18nText("Plugin-hrjf-Date_Format_DateTime"), "datetime"),
             new Item(DesignKit.i18nText("Plugin-hrjf-Date_Format_DateTimeRange"), "datetimerange"),
             new Item(DesignKit.i18nText("Plugin-hrjf-Date_Format_DateRange"), "daterange"),
     };

     public DateTimeFormatItems() {
     }

     @Override
     public Item[] getItems() {
         return DATETIME_ITEMS;
     }
 }